Subject: Re: dllwrap problem
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 7 Aug 2000 00:23:31 -0400

On Mon, Aug 07, 2000 at 01:42:59PM -0500, Neil Lunn wrote:
>Don't know if this is related to the 1.1.4 DLL release or not as yet. I just 
>totally cleaned a system and re-installed. It seems I get the same response 
>below from any invocation of dllwrap.
>$ dllwrap --dllname MD5.dll --driver-name gcc --dlltool dlltool 
>--export-all-symbols --as as --output-def libMD5.def --output-lib libMD5.a \
>  -L/usr/local/lib MD5.o md5c.o /usr/local/lib/perl5/5.6.0/cygwin/CORE/libperl5_6_0.a
>dllwrap: no export definition file provided
>dllwrap: creating one, but that may not be what you want
>/usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12; defaulting to 6f081000
>/usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12; defaulting to 6f081000
>/usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12; >efaulting to 6f081000

You're right.  It's a problem in 1.1.4.  I compiled it with the CVS
version of gcc and it didn't create a cygwin_dllentry@12.  Instead, the
function name in libcygwin.a is __cygwin_dll_entry__FP11HINSTANCE__UlPv@12,
for some reason.

I've included an object file with the correct symbol below.  You should be
able to update your version of libcygwin.a by doing a:

ar cru /usr/lib/libcygwin.a dll_entry.o
ranlib /usr/lib/libcygwin.a

This is fixed in the CVS sources and will be in the next release, of course.
I don't have an estimate for when that will be.

I guess I'd better locate the URL for this message in the archive so that I
can refer to it in the coming days...

cgf
--
Want to unsubscribe from this list?
Send a message to [email-masked]